﻿using System;

class Satellite
{
    public double x;
    public double y;
    public double z;
    double R0 = 6373637.00; //Радиус Земли

    public double Height()
    {
        double h;
        h = Math.Sqrt(Math.Pow(x, 2) + Math.Pow(y, 2) + Math.Pow(z, 2)) - R0;
        return h;
    }

    public double Latitude()
    {
        double phi;
        phi = Math.Atan(z / Math.Sqrt(Math.Pow(x, 2) + Math.Pow(y, 2))) * 180 / Math.PI;
        return phi;
    }

    public double Longitude()
    {
        double lambda;
        lambda = Math.Atan(y / x) * 180 / Math.PI;
        return lambda;
    }

}

class Example
{

    static void Main()
    {
        double x, y, z;
        x = 2616905.988;
        y = 5135967.188;
        z = 3003938.098;
        Satellite GLONASS = new Satellite();
        GLONASS.x = x;
        GLONASS.y = y;
        GLONASS.z = z;

        double h, phi, lambda;
        h = GLONASS.Height();
        phi = GLONASS.Latitude();
        lambda = GLONASS.Longitude();

        string str;
        str = "Высота над уровнем моря: " + h + " метра" + "\nГеографическая широта: " + phi + " градуса" + "\nГеографическая долгота " + lambda + " градуса";
        Console.WriteLine(str);
        Console.WriteLine("Нажмите любую кнопку!");
        Console.ReadKey();
    }
}
